FROM dockerproxy.com/library/ubuntu:22.04
ADD dotnet-runtime-3.1.32-linux-x64.tar.gz /root/dotnet
COPY libssl1.0.0_1.0.2g-1ubuntu4.20_amd64.deb /tmp

RUN apt update;dpkg --add-architecture i386;apt update;apt install -y --no-install-recommends libstdc++6 lib32stdc++6 libc6:i386 libc6 libgcc-s1 libicu70 liblttng-ust1 zlib1g vim zip unzip wget openssh-server inetutils-ping inetutils-telnet;\
    dpkg -i /tmp/libssl1.0.0_1.0.2g-1ubuntu4.20_amd64.deb;\
    echo "PermitRootLogin yes\nPasswordAuthentication yes\n" >> /etc/ssh/sshd_config;\
    echo root:123456 |chpasswd

COPY localtime /etc
COPY nats-server /usr/bin/
COPY checksum /usr/bin/
COPY yuzhen_iot /yuzhen_iot/
COPY start.sh /home/

WORKDIR /home

CMD ["/home/start.sh"]


